
QGIS Application - Bug report #14116

Crash when opening layer properties dialog for geometryless vector layer

2016-01-15 05:14 PM - Sebastian Dietrich

Status: Closed

Priority: Severe/Regression

Assignee: Sebastian Dietrich

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22118

Description

When opening the layer properties dialog for geometryless vector layers QGIS crashes. Tested with

    -  PostGIS

    -  Delimited text file

    -  Memory layer

    -  Shapefile

Associated revisions

Revision 1cd45701 - 2016-01-16 03:58 AM - Nyall Dawson

Fix crash when opening properties for geometryless layers (fix #14116)

History

#1 - 2016-01-15 06:27 PM - Sebastian Dietrich

- % Done changed from 0 to 50

- Assignee set to Sebastian Dietrich

- Status changed from Open to In Progress

#2 - 2016-01-15 06:59 PM - Nyall Dawson

- Status changed from In Progress to Closed

Fixed in changeset commit:"1cd4570136344caafebbe911bbe797ddbc87a56a".
